#menuToggle_s { display: none; }
#menuArea_s {float: right;margin-left: 20px;color: #000;margin-top: 0px;margin-right: 22px; }
.menu_s .menu_separator { height: 115px !important; }

.menuOpen_s {width: 22px; height: 31px; display: block; padding: 0px 4px; cursor: pointer; float: right; position: relative;z-index: 99; }
.top_icons { margin-right: 37px; }
.menu_s { position: fixed; width: 100%; height: 100vh; top: 0; left: 0;  background: white; padding: 0 0%; }
.menu_s label { width: 30px; height: 30px; position: absolute; right: 20px; top: 20px; background-size: 100%; cursor: pointer; }
.menuEffects_s {opacity: 0; visibility: hidden; }

@media screen and (max-width: 1280px) {
.top_icons { margin-right: 57px; }
}

.menuEffects ul { transform: translateY(0%); transition: all 0s; }
#menuToggle_s:checked ~ .menuEffects_s { opacity: 1; visibility: visible; }
#menuToggle_s:checked ~ .menuEffects_s ul { opacity: 1; }
#menuToggle_s:checked ~ .menuOpen_s .open_s { background-color: transparent; }
#menuToggle_s:checked ~ .menuOpen_s .open_s:before { content: ""; background-color: #fff; transform: rotate(45deg); position: absolute; top: 0; right: 0; z-index: 2;}
#menuToggle_s:checked ~ .menuOpen_s .open_s:after { content: ""; background-color: #fff; transform: rotate(-45deg); position: relative;  top: 0; right: 0; z-index: 2;}
#menuToggle_s:not(:checked) ~ .menuEffects ul { transform: translateY(-30%);}
.menu_left_side { float: left; width: 230px; height: auto; border-right: 1px solid #c5c5c5; }
.menu_height { float: left; width:calc(100% - 300px); margin-left: 66px; margin-top: -6px; }

.imgopen_s { visibility: visible; position: absolute; margin-left: -13px;margin-top: 2px; padding-top: 35px; width: 26px; }
.imgclose_s img { width: 32px; -webkit-transition: transform .3s ease;-moz-transition: transform .3s ease;-ms-transition: transform .3s ease;-o-transition: transform .3s ease;transition: transform .3s ease; }

.imgclose_s { visibility: hidden;position: absolute; background-color: #246432; margin-top: 0 !important; 
padding-top: 34px;padding-left: 16px;padding-right: 16px;padding-bottom: 14px;margin-left: -19px !important;
 -webkit-border-bottom-right-radius: 5px;-webkit-border-bottom-left-radius: 5px;-moz-border-radius-bottomright: 5px;-moz-border-radius-bottomleft: 5px;border-bottom-right-radius: 5px;border-bottom-left-radius: 5px; }
#menuToggle_s:checked ~ .menuOpen_s .imgclose_s { visibility: visible; }
#menuToggle_s:checked ~ .menuOpen_s .imgopen_s { visibility: hidden;}
.imgclose_s:hover img {  }
.materialy_mob_open, .materialy_mob_open_sortowanie, .category_mob_open { display: none; overflow: hidden; width: 100%;top: -2px;  position: relative; }
.materialy_mob_open_filtrowanie { display: none; overflow: hidden; width: 100%;top: 0px; position: relative; background-color: #ebebeb; padding: 5px 0;}
.mob_wybierz_grupe { font-size: 18px; font-style: initial; line-height: 35px; text-align: left; font-style: italic; padding: 0 0px; border-top: 1px solid #DADADA; border-bottom: 1px solid #DADADA; }
#materialy_open { z-index: 1 !important; right: 20px !important; }
#materialy_open_sortowanie { z-index: 1 !important; }
.materialy_zmien, .materialy_zmien_sortowanie { width: 80px !important; }
.filtry_1_mob { width: 100%; margin-left: 0px; margin-bottom: 20px; }
.filtry_1_mob a, .materialy_mob_open_sortowanie a, .category_mob_open a { background-color: #EBEBEB; width: 100%; display: block; text-align: left; font-size: 20px; line-height: 35px; margin: 1px 0; }
.materialy_mob_open_filtrowanie a { background-color: #EBEBEB; width: 100%; display: block; text-align: left; font-size: 16px; line-height: 38px; margin: 1px 0; }
.materialy_mob_open a { padding-left: 50px; }
.ilosc_wynikow_mob { font-size: 14px; width: 100%; text-align: left; padding-bottom: 20px; }
#materialy_open { top: 59px; right: 0px;margin-top: 0 !important; }
#materialy_mob_open_sortowanie { top: 59px; right: 0px;margin-top: 0 !important; }
#materialy_open span, #materialy_open_sortowanie span { font-size: 13px; padding-right: 18px; }
.materialy_sortowanie_close { right: 20px !important;top: -5px !important; }
.materialy_mob_open_sortowanie a { padding-left: 50px; }
.category_mob_open a { padding-left: 50px; }
.materialy_zmien_sortowanie { top: -8px !important; right: 21px !important; }
.filtr_mob_zaznaczone { font-size: 13px; float: right; margin-right: 80px; }

#category_open { top: -3px; right: 11px;margin-top: 0 !important; z-index: 1; }
#category_open span { font-size: 13px; padding-right: 18px; }

.materialy_filtrowanie_rozwin { right: 10px !important;top: 6px !important; }
.materialy_mob_open_filtrowanie .checkbox_filtry { background-color: #EBEBEB; text-align: left; padding: 0px 20px; margin: 0; padding-left: 50px; }
.materialy_mob_open_filtrowanie .checkbox_filtry label { font-size: 20px !important; line-height: 35px; }

#mob_open_filtry, #mob_open_sortowanie { font-size: 16px; font-weight: 600; text-align: center; cursor:pointer; border: 2px solid #000; border-radius: 6px; padding: 6px 0; }
#mob_sortowanie_div, #mob_filtrowanie_div { width: 100%; position: fixed; height: 100vh; background-color: white; top: 0; z-index: 999; }
.mob_x_close, .mob_x_close2 { cursor: pointer; float: right; width: 60px; text-align: right; padding-top: 18px; padding-right: 15px;}
.mob_nag_f { font-size: 24px; font-weight: 300; float: left; width: 60%; text-align: left; padding-top: 20px; padding-left: 20px; }

#menuToggle { display: none; }
#menuArea {float: right;margin-left: 100px;color: #000;margin-top: 34px;margin-right: 0px;}
.open { background-color: #000; width: 22px; height: 2.5px; display: block; border-radius: 6px; cursor: pointer; position: relative; top: 15px; }
.menu_height {height: 58vh;}
.el_menu_m { border-radius: 5px; transition: 0.25s linear; width: 30%; padding-left: 30px; margin-left: -30px; }
.el_menu_m:hover { background-color: #ebebeb; }

.el_menu_small { border-radius: 5px; transition: 0.25s linear; width: 85%; padding-left: 30px; margin-left: -30px; }
.el_menu_small:hover { background-color: #ebebeb; }

.submenu { opacity:0; transition: opacity 5s; visibility: hidden; position: absolute; left: 44.5%; top: -44px; width: 60%; margin-left: -40px; background-color: white; transition: all 0s; transition-delay:0.5s; }
.openmenu:hover .submenu { visibility: visible; z-index: 999 !important; opacity:1; }
/*.openmenu:not(:hover) .submenu { transition: 0.1s 1s; } */

.hoveropen { visibility: visible; z-index: 0 !important; opacity: 1; }


.open:before { content: ""; background-color: #000; width: 22px; height: 2.5px; display: block; border-radius: 6px; position: relative; top: -7px; transform: rotate(0deg); transition: all 0.3s ease; }
.open:after { content: ""; background-color: #000; width: 22px; height: 2.5px; display: block; border-radius: 6px; position: relative; top: 4px; transform: rotate(0deg); transition: all 0.3s ease; }
.menu_separator { width: 100%; height: 126px; clear: both; }
.menu ul { list-style: none; text-align: left; margin: 0; padding: 0; position: relative; }


.menu ul a { font-size: 24px; font-weight: 300; line-height: 160%; color: black; position: relative; padding-left: 0px; }
.menu ul ul { margin-left: 0px; margin-top: 7px; margin-bottom: 7px; background-color: white;}
.menu ul ul a { padding-left: 30px; }
.active_m a { padding-left: 0px !important; }
.menu ul ul a img { display: none; padding-right: 10px; width: 14px !important; margin-bottom: -1px;}
.active_m img { display: inline-block !important; } 
.menu ul a:hover { text-decoration: none; }
.menu ul li:hover {background-color: #fff;}

.submenu ul li { border-radius: 5px; padding: 0px 0px; transition: 0.25s linear; margin-bottom: 2px; margin-right: 10px; }
.submenu ul li a { padding-left: 30px !important; font-size: 20px !important; }
.submenu ul li:hover { background-color: #ebebeb; } 
.menu ul ul .el_menu { border-radius: 5px; padding: 0px 0px; transition: 0.5s linear; width: 33%; }
.menu ul ul .el_menu:hover {background-color: #ebebeb;}


.openmenu:hover .el_menu {background-color: #ebebeb;}
.menu ul a:hover:before, .produkt_sidebar ul a:focus:before { visibility: visible;  }

.menu_description { font-size: 12px; padding-bottom: 3px; padding-left: 30px; line-height: 160%; padding-top: 2px; }
.menu_col1 { float: left; width: calc(42% + 46px); margin-right: -8px; height: 60vh; }
.menu_col2 { float: left; width: calc(30% + 40px); }

.menu_nobg ul li:hover {background-color: #fff;}
.menu_nobg ul a { font-size: 18px; font-weight: 300; line-height: 160%; color: black; position: relative; padding-left: 0px; }
.menu_nobg { width: 17%; }
.menu_basket { text-align:left; width: 170px; float: right; font-size: 18px; font-weight: 300; line-height: 160%; color: black; }

.menuOpen {width: 22px; height: 31px; display: block; padding: 0px 4px; cursor: pointer; float: right; position: relative;z-index: 99; }
.menu { position: fixed; width: 98%; height: 100vh; top: 0; left: 0;  background: white; padding: 0 1%; }
.menu label { width: 30px; height: 30px; position: absolute; right: 20px; top: 20px; background-size: 100%; cursor: pointer; }
.menuEffects {opacity: 0; visibility: hidden; }

.menuEffects ul { transform: translateY(0%); transition: all 0s; }
#menuToggle:checked ~ .menuEffects { opacity: 1; visibility: visible; }

#menuToggle:checked ~ .menuEffects ul { opacity: 1; }
#menuToggle:checked ~ .menuOpen .open { background-color: transparent; }
#menuToggle:checked ~ .menuOpen .open:before { content: ""; background-color: #fff; transform: rotate(45deg); position: absolute; top: 0; right: 0; z-index: 2;}
#menuToggle:checked ~ .menuOpen .open:after { content: ""; background-color: #fff; transform: rotate(-45deg); position: relative;  top: 0; right: 0; z-index: 2;}
#menuToggle:not(:checked) ~ .menuEffects ul { transform: translateY(-30%);}

.imgclose { width: 32px; visibility: hidden; position: absolute; margin-left: -16px;margin-top: -2px; -webkit-transition: transform .3s ease;-moz-transition: transform .3s ease;-ms-transition: transform .3s ease;-o-transition: transform .3s ease;transition: transform .3s ease;}
.imgopen { visibility: visible; position: absolute; margin-left: -20px;margin-top: 0px; width: 32px; }
#menuToggle:checked ~ .menuOpen .imgclose { visibility: visible;}
#menuToggle:checked ~ .menuOpen .imgopen { visibility: hidden;}
.pos_menu_bottom { width: 98%; max-width: 1158px; margin: 0 auto; position: absolute; bottom: 5vh; }

.imgclose:hover {  }

.menu_line { position: absolute;top: 0px; width: 78px; height: auto; background-color: #246432; -webkit-border-bottom-right-radius: 5px;-webkit-border-bottom-left-radius: 5px;-moz-border-radius-bottomright: 5px;-moz-border-radius-bottomleft: 5px;border-bottom-right-radius: 5px;border-bottom-left-radius: 5px; visibility: hidden; z-index: 1; margin-left: -25px; }
#menuToggle:checked ~ .menu_line { visibility: visible; }
.m_separator { width: 100%; height: 140px; }
.menu_line a, .menu_l { color: white; width: 100%; text-align: center; font-size: 19px; font-weight: 500; clear: both; display: block; padding-bottom: 30px; text-decoration: none !important; -webkit-transition: transform .3s ease; -moz-transition: transform .3s ease; -ms-transition: transform .3s ease; -o-transition: transform .3s ease; transition: transform .3s ease; position: relative; }
.menu_line a:hover {  }


.menu_hover { background-color: black; position: absolute; left: -122px; min-width: 131px; border-radius: 5px; top: -12px; padding-left: 16px; padding-right: 17px; display: none; }
#waluta_change { left: -235px; width: 270px; z-index: 1; text-align: left; padding: 18px 18px; line-height: 160%; margin-top: -12px; padding-bottom: 30px; padding-left: 25px; }
#waluta_change a { display: block; text-align: left; font-size: 20px; font-weight: bold; line-height: 130%;width: 100%; clear: both; text-decoration: none; }
#waluta_change #pokazuj_ceny { font-size: 16px; font-weight: 300; padding-left: 0; padding-top: 0; }

.menu_l:hover .menu_hover { display: block; } 
.menu_hover div, .menu_hover object { display: inline-block; padding: 12px 10px; }
.menu_hover a { padding-bottom: 0; display: inline-block; width: auto; clear: initial; }
.m_selected { padding-left: 40px !important; }
.change_waluta .menu_hover { min-width: auto; left: -154px; padding-right: 16px; }
.change_waluta .m_selected { padding-left: 40px !important; padding-right: 11px; }

.underline { width: 21px;background-color: white;height: 2px;display: block;margin: 1px auto 0 auto; }
.notactive { font-size: 22px !important; line-height: 160% !important; }
.aactive {font-weight: bold !important; font-size: 23px !important; line-height: 170% !important; }
.submenu ul li a {font-weight: 300 !important; font-size: 20px !important; line-height: 160%; }
.underline25 { width: 37px; }


@media screen and (max-width: 1280px) {
#menuArea_s .onas_box2 { width: calc(78% - 106px); margin-left: calc(18% - 0px); }
.menu_additional_res1280 #logoutBtn:hover {color: white;}
.card { padding-left: 30px; padding-bottom: 30px; }
#userInfo, #logoutBtn { color: white; }
.card .text_underline {border-bottom: 1px solid #fff;}
.menu1280:hover #menu1280_click { display: block !important; }
.menu1280:hover .newh { filter: brightness(0) invert(1); } 
#click_menu1280 { margin-top: -2px; position: absolute; z-index: 999;width: 53px; height: 90px; }
#menu1280_click .menu_nobg { background-color: #000; border-radius: 5px; margin-left: 20px; width: 300px !important; padding-top: 0px; margin-bottom: 0; }
#menu1280_click .menu_nobg ul a { color: white; }
#menu1280_click .el_menu_small { width: 100%; margin-left: 30px; padding-left: 0; background-color: transparent !important;padding-top: 30px; margin-top: -30px; }
#menu1280_click ul li {background-color: transparent !important;}
#menu1280_click { padding-top: 30px;position: absolute; top: -30px; background-color: #000; width: 100%; left: -8px; padding-left: 52px; border-radius: 5px; }
.menu_additional_res1280 { display: block !important; float: left; width: 75px; height: auto; border-right: 1px solid #c5c5c5; text-align: left;}
.menu_additional_res1280 img { width: 28px; position: relative;z-index: 9999; margin-left: 15px; }
.menu1280 { margin-left: 8px; cursor: pointer; }
.divider_height { height: 349px !important;  }
.divider_heightclick { top: 33px; height: 456px !important; width: 1px; background-color: #fff; z-index: 999; position: absolute; right: 30px;  }

.index_fs { padding-right: 40px; }
.top_icons { margin-right: 57px; }
.menu_left_side { display: none; }
.menu_height { width: calc(100% - 130px); margin-left: 30px; position: relative; }
.menu_col1 { width: calc(60% + 46px);}
.show1280 { display: block; }
.show1280 .menu_separator { display: none; }
.menu_nobg { width: 100%; margin-bottom: 20px; }
.pos_menu_bottom { position: relative; bottom: initial; }
.menu { overflow-x: hidden; }	
	
.top_icons { margin-right: 57px; }
.menu ul ul .el_menu { width: 38%; }
}
/*
@media screen and (max-width: 1220px) {
	.menu { width: 100%; padding: 0;}
	.submenu { left: 56%; }
	.menu_col1 { width: calc(57% + 46px); }
}
*/
@media screen and (max-width: 1260px) {
	.menu_col1 { width: calc(68% + 46px); }
	.submenu { left:326px; }
}

@media screen and (max-width: 1070px) {
	.el_menu_m { width: 39%; }
	.menu ul ul .el_menu { width: 42%; }
	.menu_col1 { width: calc(62% + 46px); }
	
}
@media screen and (max-width: 1000px) {
	.menu_left_side { width: 205px; }
	.menu_height { margin-left: 30px;}
	.menu ul ul .el_menu { width: 52%; 	}
	
}
@media screen and (max-width: 960px) {
	.submenu { left:326px; }
	.menu ul ul .el_menu { min-width: 325px; }
}
@media screen and (max-width: 930px) {
	#menu1280_click {left:-15px;}
	
}

@media screen and (max-height: 900px) {
	
	.menu_height { height: auto; min-height: 50vh; }
}
@media screen and (max-width: 768px) {
	.menu ul ul .el_menu { min-width: auto; }
	.menu_additional_res1280 {display: none !important; }
	#waluta_change { left: 0 !important; padding-left: 21px; width: 100%; margin-top: 0px; padding: 28px 20px; padding-bottom: 41px; }
	#waluta_change { position: fixed;top: 114px;   border-radius: 0; }
	#waluta_change a { padding: 0px !important; }
	#language_change .m_selected { display: none;}
	#language_change { width: 100%; position: fixed;top: 114px; border-radius: 0;}
	#language_change a { padding-top: 0px !important; padding-bottom: 0px !important; font-size: 19px !important; padding-right: 14px !important; float:right; }
	#language_change div { padding: 13px 5px; }
	#waluta_change #pokazuj_ceny { padding-bottom: 5px; }
	#menuArea .change_waluta { margin-right: 22px; }
	#menuArea { margin-right: 15px !important; }
	.top_icons { margin-right: 17px !important; }
	.menu_height { width: 100%; margin-left: 0; }
	.pos_menu_bottom {width: initial; position: initial; }
	label.checkbox span { top: 1px; }
	.mob_wybierz_grupe { font-size: 20px; font-style: initial; line-height: 35px; text-align: left; font-style: italic; padding: 0 0px; border-top: 0px solid #DADADA; border-bottom: 1px solid #DADADA; }
	#mob_filtrowanie_div .mob_x_close, #mob_sortowanie_div .mob_x_close2 { padding-top: 17px; }
	.menuOpen_s { margin-right: 6px; }
	.aactive { line-height: 39px !important; font-weight: 700 !important; }
	.menu_col1 { height: auto; }
	.menuEffects .conteiner { padding-bottom: 200px; }
	.menu_height {  min-height: auto; height: auto; margin-top: 15px; }
	.menu { top: 90px; width: 100%; padding: 0; overflow: scroll; }
	.menu .conteiner { width: 100%; margin: 0; }
	.submenu ul li { margin-right: 0; border-radius: 0; }
	.description_sec_top { margin-bottom: inherit; }
	.menu ul a { font-size: 20px; line-height: 35px; width: 80%; display: inline-block; }
	.oferta_mob a { font-size: 24px !important; }
	.mobilemt40 { margin-top: 0px !important; }  
	.notactive { font-size: 20px !important; line-height: 39px !important; font-weight: 600; }
	.menu ul ul .el_menu { width: 100%; }
	.menu_line a img { width: 22px !important; }
	.el_menu_m { width: 100%; }
	.menu_line a { font-size: 14px; padding-top: 13px !important;  padding-bottom: 10px !important; }
	.underline { width: 16px; }
	.menu_line { width: 100%; right: 0; border-radius: 0; top: 65px; text-align: left; }
	.menu_line .m_separator { display: none; }
	.menu_line a { display: inline-block; width: auto; }
	.imgclose { width: 32px; margin-top: -1px; margin-left: -16px; }
	.menu_nobg {  width: 100%; margin-bottom: 20px; }
	#menuToggle:checked ~ .menuEffects { z-index: 101; }
	#menuToggle:checked ~ .menu_line { z-index: 102; }
	.menuOpen { z-index: 104; filter: brightness(0%); }
	.menu_separator { height: 30px; }
	.menu ul ul a { font-weight: 400; }
	.openmenu, .openmenuzo  { border-bottom: 1px solid #DADADA; }
	.menu ul ul  { border-top: 1px solid #DADADA; margin-left: -15px; }
	.menu ul ul .el_menu { border-radius: 0px; padding: 5px 0px; }
	#menuArea_s .newform input[type="text"] { padding: 0px 20px !important; line-height: 45px !important; }	#menuArea_s .newform input:focus { outline: 2px solid #EBEBEB; }
	#menuArea_s .button_search, #menuArea_s .button_search:focus, #menuArea_s .button_search:active, #menuArea_s .button_search:hover, #menuArea_s .button_search:visited { height: 49px; margin-top: 0px; border: 0px solid #246432; outline: 2px solid #246432; margin-right: 2px; padding: 0px 26.5px !important; line-height: 45px !important;}
	
	.button_search { padding: 0px 26.5px; background-size: 23px; }
	.imgclose_s img { width: 22px; }
	.imgclose_s { padding-top: 17px;padding-left: 10px;padding-right: 6px;padding-bottom: 10px; margin-left: -12px !important; }
	.aactive { font-size: 20px !important;  }
	.menu ul ul a img { width: 12px !important; }
	.menu_description, .menu_col2 { display: none; }
	.menu_col1 { width: 100%; }
	.submenu { left: 0;top: 0px;width: 100%;margin-left: 0; }
	.openmenu:hover .submenu { position: relative !important; }
	.openmenu:hover .submenu { visibility: visible; z-index: 999 !important; opacity:1; }
	.hoveropen { position: relative; }
	.submenu ul { margin-top: 0 !important; margin-bottom: 0px !important; transition-delay: 0s; transition: all 0s; }
	.submenu ul li a { font-weight: 400 !important; font-size: 20px !important; line-height: 25px; }
	.submenu ul li img { width: 12px !important; left: 80px; top:11px !important; }
	.submenu ul li { padding-left: 30px; background-color: #EBEBEB; }
	.menu ul ul .el_menu:hover { background-color: #fff; }
	.mobile_oferta { display: block; font-size: 14px !important; line-height: 18px !important; text-transform: uppercase;  font-weight: 400 !important; }
	.menu ul ul .el_menu, .el_menu_m, .menu_nobg { width: calc(100% - 40px);  margin-left: 20px; padding-left: 0; padding-top: 0px; padding-bottom: 0px;}
	ul ul a { padding-left: 42px !important; }
	.menuEffects .col14 { padding-top: 0 !important; }
	.active_m a {  padding-left: 15px !important; }
	
	.mob_telefon { float: initial; clear: initial !important; margin-left: 20px; }
	.mob_ulubione { float: initial; clear: initial !important; margin-right: 22px; margin-left: 15px; }
	.change_waluta { float: right; clear: initial !important; margin-left: 15px; width: auto;padding-bottom: 10px; margin-top: 12px; }
	.change_lang { float: right; clear: initial !important; margin-right: 20px; width: auto; padding-bottom: 14px; margin-top: 14px; min-width: 26px; }
	.open_mobm { position: relative; top: 6px; width: 40px; height: 23px; text-align: center; padding-top: 8px; z-index: 9999; left:10px; }
	.submenu { transition: opacity 0s; transition-delay:0s; }
	.submenu ul li a { padding-left: 75px !important; }
	.submenu ul li a { padding-left: 75px !important;width: calc(100% - 75px); display: block; padding-top: 0px; padding-bottom: 0px; line-height: 35px; }	
	.open_mobm { width: 20%; text-align: right; padding-right: 11px; }
	#language_change { text-align: right; padding-left: 0; left: 0 !important; }
	#language_change a { padding-right: 20px; }
	.submenu ul li:last-child { margin-bottom: 0px !important; }

}
